Skip to content
View as Markdown

POST Bulk Action Recurring Campaigns​

POST
/recurring-campaigns/do-bulk-action

Perform a bulk action on multiple recurring campaigns. Supported actions are apply_labels (attach labels to campaigns) and delete_campaigns (delete campaigns and their child emails). When select_all is true, the action is applied to all recurring campaigns regardless of the campaign_ids provided. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"action_name": "apply_labels",
"campaign_ids": [
5,
6
],
"labels": [
1,
3
]
}

Responses​

Bulk action completed successfully.

application/json
JSON
{
"message": "Labels has been applied successfully"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI